Package com.massivecraft.factions.event

## Enum FPlayerJoinEvent.PlayerJoinReason

- java.lang.Object
- - java.lang.Enum<FPlayerJoinEvent.PlayerJoinReason>
  - - com.massivecraft.factions.event.FPlayerJoinEvent.PlayerJoinReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FPlayerJoinEvent.PlayerJoinReason>`, `java.lang.constant.Constable`
  Enclosing class:
    FPlayerJoinEvent

      public static enum FPlayerJoinEvent.PlayerJoinReason
      extends java.lang.Enum<FPlayerJoinEvent.PlayerJoinReason>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMMAND` |
    `CREATE` |
    `LEADER` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static FPlayerJoinEvent.PlayerJoinReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FPlayerJoinEvent.PlayerJoinReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final FPlayerJoinEvent.PlayerJoinReason CREATE

    - #### LEADER

          public static final FPlayerJoinEvent.PlayerJoinReason LEADER

    - #### COMMAND

          public static final FPlayerJoinEvent.PlayerJoinReason COMMAND

  - ### Method Detail

    - #### values

          public static FPlayerJoinEvent.PlayerJoinReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FPlayerJoinEvent.PlayerJoinReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null